Index: /documentation/user_manual/anuga_user_manual.tex
===================================================================
--- /documentation/user_manual/anuga_user_manual.tex	(revision 2858)
+++ /documentation/user_manual/anuga_user_manual.tex	(revision 2859)
@@ -292,5 +292,5 @@
 \begin{figure}[hbt]
 
-  \includegraphics[width=95mm, height=95mm]{triangular_mesh}
+  \includegraphics[width=95mm, height=95mm]{triangularmesh}
 
   \caption{A simple mesh}
Index: cumentation/user_manual/triangular_mesh.fig
===================================================================
--- /documentation/user_manual/triangular_mesh.fig	(revision 2858)
+++ 	(revision )
@@ -1,133 +1,0 @@
-#FIG 3.2  Produced by xfig version 3.2.5-alpha5
-Landscape
-Center
-Metric
-A4      
-100.00
-Single
--2
-1200 2
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 4500 1350 64 64 4500 1350 4564 1350
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 4500 3600 64 64 4500 3600 4564 3600
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 4500 4500 64 64 4500 4500 4564 4500
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 5850 4050 64 64 5850 4050 5914 4050
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 5400 2250 64 64 5400 2250 5464 2250
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 5850 900 64 64 5850 900 5914 900
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 6300 2700 64 64 6300 2700 6364 2700
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 7650 4500 64 64 7650 4500 7714 4500
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 7650 2250 64 64 7650 2250 7714 2250
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 9000 2700 64 64 9000 2700 9064 2700
-1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 8550 1800 64 64 8550 1800 8614 1800
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4500 4500 5850 4050
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
-	 4500 4500 4500 3600 5850 4050
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
-	 4500 3600 6300 2700 5850 4050
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
-	 5850 4050 7650 4500 6300 2700
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
-	 6300 2700 7650 2250 7650 4500
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
-	 4500 3600 5400 2250 6300 2700
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 4
-	 5400 2250 4500 1350 5850 900 5400 2250
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 5850 900 6300 2700
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 5850 900 7650 2250
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
-	 7650 2250 9000 2700 7650 4500
-2 1 0 2 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	2 1 4.00 60.00 120.00
-	 4050 4950 4050 450
-2 1 0 2 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	2 1 4.00 60.00 120.00
-	 4050 4950 9450 4950
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4500 4950 4500 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4950 4950 4950 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 5400 4950 5400 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 5850 4950 5850 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 6300 4950 6300 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 6750 4950 6750 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 7200 4950 7200 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 7650 4950 7650 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 8100 4950 8100 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 8550 4950 8550 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 9000 4950 9000 5130
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 4500 3960 4500
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 4500 3870 4500
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 4050 3870 4050
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 3600 3870 3600
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 3150 3870 3150
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 2700 3870 2700
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 2250 3870 2250
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 1800 3870 1800
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 1350 3870 1350
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
-	 4050 900 3870 900
-2 1 0 1 0 0 50 -1 -1 0.000 0 0 -1 0 0 3
-	 5850 900 8550 1800 7650 2250
-4 0 0 50 -1 0 12 0.0000 4 150 105 4050 5400 0\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 4500 5400 1\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 4950 5400 2\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 5400 5400 3\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 5850 5400 4\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 6300 5400 5\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 6750 5400 6\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 7200 5400 7\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 7650 5400 8\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 8100 5400 9\001
-4 0 0 50 -1 0 12 0.0000 4 150 210 8550 5400 10\001
-4 0 0 50 -1 0 12 0.0000 4 150 210 9000 5400 11\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 4950 0\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 4500 1\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 4050 2\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 3600 3\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 3150 4\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 2700 5\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 2250 6\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 1800 7\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 1350 8\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 3600 900 9\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 7200 3150 2\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 8100 3150 3\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 6750 2250 4\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 5850 2250 5\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 5220 1710 7\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 5580 3510 8\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 6570 3870 1\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 5400 2880 6\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 5805 4365 1\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 7650 4770 2\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 4500 4770 0\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 4320 3690 3\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 9135 2790 6\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 4455 1170 8\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 5940 765 9\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 4950 4050 0\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 6525 2880 4\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 5175 2340 7\001
-4 0 0 50 -1 2 12 0.0000 4 150 105 7425 1800 9\001
-4 0 0 50 -1 0 12 0.0000 4 150 210 8640 1755 10\001
-4 0 0 50 -1 0 12 0.0000 4 150 105 7740 2565 5\001
Index: /documentation/user_manual/triangularmesh.fig
===================================================================
--- /documentation/user_manual/triangularmesh.fig	(revision 2859)
+++ /documentation/user_manual/triangularmesh.fig	(revision 2859)
@@ -0,0 +1,133 @@
+#FIG 3.2  Produced by xfig version 3.2.5-alpha5
+Landscape
+Center
+Metric
+A4      
+100.00
+Single
+-2
+1200 2
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 4500 1350 64 64 4500 1350 4564 1350
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 4500 3600 64 64 4500 3600 4564 3600
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 4500 4500 64 64 4500 4500 4564 4500
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 5850 4050 64 64 5850 4050 5914 4050
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 5400 2250 64 64 5400 2250 5464 2250
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 5850 900 64 64 5850 900 5914 900
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 6300 2700 64 64 6300 2700 6364 2700
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 7650 4500 64 64 7650 4500 7714 4500
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 7650 2250 64 64 7650 2250 7714 2250
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 9000 2700 64 64 9000 2700 9064 2700
+1 3 0 1 0 0 50 -1 20 0.000 1 0.0000 8550 1800 64 64 8550 1800 8614 1800
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4500 4500 5850 4050
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 4500 4500 4500 3600 5850 4050
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 4500 3600 6300 2700 5850 4050
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 5850 4050 7650 4500 6300 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 6300 2700 7650 2250 7650 4500
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 4500 3600 5400 2250 6300 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 4
+	 5400 2250 4500 1350 5850 900 5400 2250
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 5850 900 6300 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 5850 900 7650 2250
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 3
+	 7650 2250 9000 2700 7650 4500
+2 1 0 2 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 4.00 60.00 120.00
+	 4050 4950 4050 450
+2 1 0 2 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 4.00 60.00 120.00
+	 4050 4950 9450 4950
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4500 4950 4500 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4950 4950 4950 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 5400 4950 5400 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 5850 4950 5850 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 6300 4950 6300 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 6750 4950 6750 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 7200 4950 7200 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 7650 4950 7650 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 8100 4950 8100 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 8550 4950 8550 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 9000 4950 9000 5130
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 4500 3960 4500
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 4500 3870 4500
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 4050 3870 4050
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 3600 3870 3600
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 3150 3870 3150
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 2700 3870 2700
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 2250 3870 2250
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 1800 3870 1800
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 1350 3870 1350
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 0 0 2
+	 4050 900 3870 900
+2 1 0 1 0 0 50 -1 -1 0.000 0 0 -1 0 0 3
+	 5850 900 8550 1800 7650 2250
+4 0 0 50 -1 0 12 0.0000 4 150 105 4050 5400 0\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 4500 5400 1\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 4950 5400 2\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 5400 5400 3\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 5850 5400 4\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 6300 5400 5\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 6750 5400 6\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 7200 5400 7\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 7650 5400 8\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 8100 5400 9\001
+4 0 0 50 -1 0 12 0.0000 4 150 210 8550 5400 10\001
+4 0 0 50 -1 0 12 0.0000 4 150 210 9000 5400 11\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 4950 0\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 4500 1\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 4050 2\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 3600 3\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 3150 4\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 2700 5\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 2250 6\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 1800 7\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 1350 8\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 3600 900 9\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 7200 3150 2\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 8100 3150 3\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 6750 2250 4\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 5850 2250 5\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 5220 1710 7\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 5580 3510 8\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 6570 3870 1\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 5400 2880 6\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 5805 4365 1\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 7650 4770 2\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 4500 4770 0\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 4320 3690 3\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 9135 2790 6\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 4455 1170 8\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 5940 765 9\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 4950 4050 0\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 6525 2880 4\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 5175 2340 7\001
+4 0 0 50 -1 2 12 0.0000 4 150 105 7425 1800 9\001
+4 0 0 50 -1 0 12 0.0000 4 150 210 8640 1755 10\001
+4 0 0 50 -1 0 12 0.0000 4 150 105 7740 2565 5\001