Index: /documentation/experimentation/smf.tex
===================================================================
--- /documentation/experimentation/smf.tex	(revision 2870)
+++ /documentation/experimentation/smf.tex	(revision 2871)
@@ -53,42 +53,24 @@
 in inundation modelling}
 
-Geoscience Australia (GA) is a federal government agency playing a
-critical role in enabling government and the community to make
-informed decisions about exploration of resources, the management
-of the environment, the safety of critical infrastructure and the
-resultant wellbeing of all Australians. GA does this by producing
-first-class geoscientific information and knowledge.
-
-The Risk Research Group (RRG) within GA is researching natural and
-human-caused hazards to enhance Australia's risk mitigation
-capabilities through policy and decision-maker support. The group is
-working with other agencies to develop and collect information on
-natural disasters, and develop risk models for forecasting the
-impact of future hazard events.
-
-The risks posed by tsunamis is one of the natural hazards areas which
-the RRG is investigating. GA can model the propagation of an event 
-generated by a submarine earthquake
-through to inundation ashore. Currently, we are
-employing the Method of Splitting Tsunami (MOST) [1] for the event
-and subsequent propagation in deep water, and then use ANUGA [2] to 
-propagate the resultant waves in shallow water and onshore.
-
-ANUGA has been developed by GA and ANU to solve the nonlinear shallow water 
-wave equation using the finite volume technique. 
-An advantage of this technique is that the cell resolution can be changed 
-according to areas of interest
-and that wetting and drying is treated robustly as part of the numerical
-scheme. ANUGA is continually being developed and 
-validated.
+We work at Geoscience Australia (GA) in the Risk Research Group 
+researching risks posed by a range of natural hazards 
+(http://www.ga.gov.au/urban/projects/risk/index.jsp). 
+Due to recent
+events, we are investigating the tsunami risk to Australia. To understand
+impact ashore, we have developed in conjunction
+with the Australian National University, a hydrodynamic model called
+ANUGA which uses the finite volume technique, [1].
 
 A recent tsunami inundation study called for the tsunami source to
 be a slump and as such, we implemented the surface elevation
-function as described in equation 14 of Watts et al 2005, [3]. The reason
-then for our contact is that we have some questions and a request
-in regard to this methodology.
+function as described in Watts et al 2005, [3]. We found this a useful
+way to incorporate another tsunami-genic event to our understanding
+of tsunami risk. In trying
+to implement this function however, we had some questions.
 
 {\bf Question 1:}   Is there a physical explanation to why the total volume
 of the surface elevation function should not be zero?
+
+{\bf Question 2:}   Is the substitution of $x_g$ into the elevation function realistic?
 
 Investigating the long term behaviour of the
@@ -96,10 +78,12 @@
 the slump was added to the system. Further investigation showed that
 the depressed volume was greater than the volume displaced above the
-water surface with approximately 2-3 \% loss. Figure 2 of [3] shows
-surface elevation functions $\eta(x,y)$ for various parameters
-which indicate that the total volume is not conserved.
+water surface with approximately 2-3 \% loss. You can see from
+Figure 2 of [3] that the
+surface elevation function $\eta(x,y)$ indicates that
+the total volume is not conserved.
 
-Setting the integral of the elevation function to zero will 
-ensure that volume is conserved. Solving for $\kappa'$ yields the result,
+However, we can alleviate this issue by finding the appropriate set of parameters which
+will conserve volume. Setting the integral of the elevation function to zero and
+solving for $\kappa'$ yields the result,
 
 $$\kappa' = [
@@ -108,13 +92,13 @@
 ]_{x_{\rm min}}^{x_{\rm max}} \ .$$
 
-\noindent Figure \ref{fig:vol_cons} shows the relationship between
-$\kappa'$ and $\Delta x$. It must be noted, that whilst 
+\noindent The relationship between $\kappa'$ and $\Delta x$ is shown in
+Figure \ref{fig:vol_cons}. It must be noted, that whilst 
 $\kappa'$ is technically less than 1 for $\Delta x < 5.93$ it is
-effectively equal to 1 for those values. 
-Choosing $\kappa'$ = 0.83, as suggested in [1], will therefore
-not guarantee conservation of volumen for any value of $\Delta x$.
+effectively equal to 1 for those values. From this calculation, it would
+seem then that there would be no appropriate $\Delta x$ for $\kappa'$ = 0.83 
+(a parameter used in [2]).
 
-Figure 2 in [3]
-could then be reproduced for appropriate values of $\kappa'$ and $\Delta x$ to
+We've reproduced Figure 2 in [3]
+for appropriate values of $\kappa'$ and $\Delta x$ to
 ensure volume conservation within the system. Using the above
 formulation, the values of interest shown in Figure 2 of [3] would
@@ -140,20 +124,17 @@
 \end{figure}
 
-The next question is then how this alteration affects the impact onshore?
-It is of course expected to increase the inundation depth
-due to the increased volume of water which can
-be propagated ashore. In one investigation, we saw little 
-change to the inundation extent, but some significant increases in
-maximum inundation depth in some locations.
+For our particular test case, changing the surface elevation function 
+in this way increases the inundation depth ashore by a factor greater than
+the water loss.
 
-{\bf Question 2:}   Is the substitution of $x_g$ into the elevation function realistic?
-
-Watts et al [3] provide additional information on the value of
-$\Delta x$; $x_0 - \Delta x \approx x_g$, where $x_g$ is formulated
+Our next question is whether it was appropriate to substitute
+the formulation for $x_g$ into the surface elevation function using
+$x_0 - \Delta x \approx x_g$. 
+($x_g$ is formulated
 as $x_g = d/\tan \theta + T/ \sin \theta$ (described as a gauge
-located above the SMF initial submergence location in [4]). Here $d$
-represents the depth at where the SMF is situated, $T$ the thickness
-and $\theta$ the slope of the bed. As a result, $\kappa'$ can be
-recast as
+located above the SMF initial submergence location in [4]).)
+In this
+way, $\kappa'$ as described above would not 
+be dependent on $\Delta x$;
 
 $$\kappa'  \approx {\rm erf} ( \frac{x - x_0}{\sqrt\lambda_0} ) / 
@@ -161,6 +142,4 @@
 - x_g}{\sqrt \lambda_0 } )$$
 
-\noindent thereby eliminating $\Delta x$ from the surface elevation
-function, $\eta(x,y)$. 
 
 We are continuing to seek out validation data sets to improve the
@@ -168,6 +147,6 @@
 the model against the Benchmark Problem #2  Tsunami Run-up 
 onto a complex 3-dimensional beach, as provided to the 3rd 
-International Workshop on Long Wave Run-up in 2004, see [2].
-We note in [5] your proposal for others to employ the benchmark
+International Workshop on Long Wave Run-up in 2004, see [1].
+We note in [4] your proposal for others to employ the benchmark
 cases described there for experimental or numerical work.
 Your model has been compared with the laboratory experiments in 2003 [5] and 
@@ -181,5 +160,5 @@
 \parindent 0pt
 
-We look forward to your response regarding the questions and the request.
+We look forward to your response.
 
 Yours sincerely,
@@ -191,10 +170,5 @@
 {\bf References}
 
-[1] 
-Titov, V.V., and F.I. Gonzalez (1997), Implementation and testing of
-the Method of Splitting Tsunami (MOST) model, NOAA Technical Memorandum
-ERL PMEL-112.
-
-[2] Nielsen, O., S. Robers, D. Gray, A. McPherson, and A. Hitchman (2005)
+[1] Nielsen, O., S. Robers, D. Gray, A. McPherson, and A. Hitchman (2005)
 Hydrodynamic modelling of coastal inundation, MODSIM 2005 International
 Congress on Modelling and Simulation. Modelling and Simulation Society 
@@ -202,19 +176,19 @@
 http://www.msanz.org.au/modsim05/papers/nielsen.pdf (CHECK THIS!!)
 
-[3] Watts, P., Grilli, S.T., Tappin, D.R. and Fryer, G.J. (2005),
+[2] Watts, P., Grilli, S.T., Tappin, D.R. and Fryer, G.J. (2005),
 Tsunami generation by submarine mass failure Part II: Predictive
 equations and case studies, Journal of Waterway, Port, Coastal, and
 Ocean Engineering, 131, 298 - 310.
 
-[4] Grilli, S.T. and Watts, P. (2005), Tsunami generation by
+[3] Grilli, S.T. and Watts, P. (2005), Tsunami generation by
 submarine mass failure Part I: Modeling, experimental validation,
 and sensitivity analyses, Journal of Waterway, Port, Coastal, and
 Ocean Engineering, 131, 283 - 297.
 
-[5] Watts, P., Imamura, F. and Grilli, S. (2000)
-Comparting Model Simulations of three Benchmark Tsunami Generation,
+[4] Watts, P., Imamura, F. and Grilli, S. (2000)
+Comparting Model Simulations of Three Benchmark Tsunami Generation,
 Science of Tsunami Hazards, 18, 2, 107-123.
 
-[6] Enet, F., Grilli, S.T. and Watts, P. (2003), Laboratory Experiments for 
+[5] Enet, F., Grilli, S.T. and Watts, P. (2003), Laboratory Experiments for 
 Tsunamis Generated by Underwater Landslides: Comparison with Numerical Modeling,
 Proceedings of the Thirteenth (2003) International Offshore and