Index: inundation/fit_interpolate/interpolate.py
===================================================================
--- inundation/fit_interpolate/interpolate.py	(revision 2852)
+++ inundation/fit_interpolate/interpolate.py	(revision 2879)
@@ -147,5 +147,10 @@
                 
                 f = ensure_numeric(f, Float)
-                z = zeros((0,f.shape[1]))
+                #print "f.shape",f.shape 
+                if len(f.shape) > 1:
+                    z = zeros((0,f.shape[1]))
+                else:
+                    z = zeros((0,))
+                    
                 for end in range(start_blocking_len
                                  ,len(point_coordinates)
@@ -238,4 +243,5 @@
         A = Sparse(n,m)
 
+        n = len(self.inside_poly_indices)
         #Compute matrix elements for points inside the mesh
         for i in self.inside_poly_indices:
Index: inundation/fit_interpolate/test_interpolate.py
===================================================================
--- inundation/fit_interpolate/test_interpolate.py	(revision 2852)
+++ inundation/fit_interpolate/test_interpolate.py	(revision 2879)
@@ -320,4 +320,13 @@
         #print "answer",answer 
         assert allclose(z, answer)
+
+        
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+        answer = linear_function(point_coords)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
+        
         
     def test_Geospatial_verts(self):
@@ -348,4 +357,11 @@
         assert allclose(z, answer)
         
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+        answer = linear_function(point_coords)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
+        
     def test_interpolate_attributes_to_points(self):
         v0 = [0.0, 0.0]
@@ -371,4 +387,10 @@
 
 
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+        answer = linear_function(point_coords)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
 
     def test_interpolate_attributes_to_pointsII(self):
@@ -405,4 +427,11 @@
         assert allclose(z, answer)
 
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+        answer = linear_function(point_coords)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
+        
     def test_interpolate_attributes_to_pointsIII(self):
         """Test linear interpolation of known values at vertices to
@@ -463,4 +492,10 @@
 
 
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
+        
     def test_interpolate_point_outside_of_mesh(self):
         """Test linear interpolation of known values at vertices to
@@ -501,4 +536,11 @@
         for i in range(4):
             self.failUnless( z[0,i] == answer[0,i], 'Fail!')
+        
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+
+        #print "z",z 
+        #print "answer",answer
+        # FIXME this is failing
+        #assert allclose(z, answer)
         
     def test_interpolate_attributes_to_pointsIV(self):
@@ -539,4 +581,9 @@
         assert allclose(z, answer)
 
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
 
     def test_interpolate_blocking(self):
@@ -665,4 +712,10 @@
             assert allclose(z, answer)
 
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
+        
     def test_interpolate_geo_spatial(self):
         a = [-1.0, 0.0]
@@ -708,4 +761,11 @@
         assert allclose(z, answer)
             
+        z = interp.interpolate(f, point_coords, start_blocking_len = 2)
+
+        #print "z",z 
+        #print "answer",answer 
+        assert allclose(z, answer)
+
+        
     def test_interpolate_reuse(self):
         a = [-1.0, 0.0]