Index: oduction/onslow_2006/interpretation.tex
===================================================================
--- /production/onslow_2006/interpretation.tex	(revision 2897)
+++ 	(revision )
@@ -1,2 +1,0 @@
-
-Nick to write
Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 2897)
+++ /production/onslow_2006/make_report.py	(revision 2898)
@@ -34,5 +34,5 @@
 * an introduction must be written in introduction.tex; a basic outline and
   some of the core inputs are already in place
-* an interpretation.tex file needs to be written for the particular scenario
+* an results.tex file needs to be written for the particular scenario
 * any data issues must be included in data_issues.tex (data.tex should
   be revised for future reports)
@@ -59,6 +59,9 @@
 report_title = 'Tsunami impact modelling for the North West shelf: %s' %scenario_name.title()
 
-production_dirs = {'20060424_020426_duplictate_time_steps': 'Highest Astronomical Tide',
-                   '20060426_004129': 'Lowest Astronomical Tide'}
+#production_dirs = {'20060424_020426_duplictate_time_steps': 'Highest Astronomical Tide',
+#                   '20060426_004129': 'Lowest Astronomical Tide'}
+
+production_dirs = {'20060426_004129': 'Highest Astronomical Tide',
+                   '20060426_004237': 'Lowest Astronomical Tide'}
 
 # Create sections and graphs for each designated production directory
@@ -76,5 +79,5 @@
                              time_min = None,
                              time_max = None,
-                             title_on = False,   
+                             title_on = False,
                              verbose = True)
 
@@ -93,5 +96,5 @@
 % * an introduction must be written in introduction.tex; a basic outline and
 %   some of the core inputs are already in place
-% * an interpretation.tex file needs to be written for the particular scenario
+% * an results.tex file needs to be written for the particular scenario
 % * any data issues must be included in data_issues.tex (data.tex should
 %   be revised for future reports)
@@ -153,5 +156,4 @@
      \label{sec:results}
      \input{results}
-     \input{interpretation}
      
 """
Index: /production/onslow_2006/results.tex
===================================================================
--- /production/onslow_2006/results.tex	(revision 2897)
+++ /production/onslow_2006/results.tex	(revision 2898)
@@ -3,5 +3,5 @@
 computational time and desired resolution in areas of interest,
 particularly in the interface between the on and offshore. The
-following series of figures illustrate the study extent for the 
+following figures illustrate the study extent for the 
 scenario and the resulting computational mesh, highlighting areas
 of refinement around areas of particular interest.
@@ -9,5 +9,5 @@
 \begin{figure}[hbt]
 
-  %\centerline{ \includegraphics[width=75mm, height=75mm]{figures/.eps}}
+  %\centerline{ \includegraphics[width=75mm, height=75mm]{.png}}
 
   \caption{Study area for Onslow scenario}
@@ -18,5 +18,5 @@
 \begin{figure}[hbt]
 
-  %\centerline{ \includegraphics[width=75mm, height=75mm]{figures/.eps}}
+  %\centerline{ \includegraphics[width=75mm, height=75mm]{.png}}
 
   \caption{Computational mesh for Onslow study area}
@@ -24,2 +24,57 @@
 \end{figure}
 
+For the simulations, we have chosen a resolution of 500 m$^2$ for the 
+region surrounding the Onslow town centre. The resolution is increased 
+to 2500 m$^2$ for the region surrounding the coast and further increased
+to 20000 m$^2$ for the remainder of the study area. With these
+resolutions in place, the study area consists of 440150 triangles. The 
+associated accuracy 
+for these resolutions is approximatly 22m, 50m and to 140m. This means
+that we can only be confident in the calculated inundation to approximately
+22m accuracy. This is because ANUGA calculates whether each cell in the triangular
+mesh is is wet or dry. It is important
+to refine the mesh to be commensurate with the underlying data especially in 
+those regions where complex behaviour will occur, such as the inter-tidal
+zone and estuaries. 
+
+The following subsections detail the time series at select locations
+for high, low and zero tide conditions. These locations have
+been chosen to assist in describing the features of the tsunami wave
+and the resultant impact ashore.
+
+\subsection{Features of the tsunami wave}
+
+direction? multiple waves? amplitude offshore?
+
+\subsection{Effect of geographical features}
+
+It is evident for each simulation that the sand dunes west of Onslow
+are very effective in halting the tsunami wave. The height of these
+sand dunes are approximately 10m which is more than enough to halt
+the largest of the tsunami waves which occurs for the
+high tide simulation. There is inundation between the sand dunes at high 
+tide, however, this water penetrated from the north east (via
+Onslow town cetnre) rather than seaward.
+The same feature is evident for the sand dunes east of Onslow which
+rise to 15m in height. Currently, ANUGA can not model changes 
+to the bathymetry or topography due to effects of the water flow. 
+Therefore, we do not know whether these sand dunes would withstand the
+transmitted energy of the tsunami wave. 
+
+The wave penetrates the river east of Onslow with increasingly
+greater inundation as the tide changes from LAT to HAT.
+
+\subsection{Tidal effects and impact ashore}
+
+As expected, there is greater inundation at high tide. The major road
+into Onslow, the Onslow Mount Stuart Rd, remains free of inundation for
+all tidal scenarios. Beadon Creek Rd which services the wharf in the
+river becomes increasingly inundated as the tide rises. Only the
+entry to the wharf on Beadon Creek Rd is sufficiently inundation at LAT
+to stop traffic, however, at HAT essentially the entire road 
+would be impassable.
+
+There is significant inundation of at
+least 2m on the foreshore of Onslow for zero and high tide.
+The inundation extent increases as the tide rises, pushing the edges
+of the majority of the road infrastructure in the Onslow town centre.
Index: /production/onslow_2006/run_timeseries.py
===================================================================
--- /production/onslow_2006/run_timeseries.py	(revision 2897)
+++ /production/onslow_2006/run_timeseries.py	(revision 2898)
@@ -6,5 +6,5 @@
 
 # define directory location of sww and gauge data
-timestampdir = '20060424_020426_duplictate_time_steps'
+timestampdir = '20060426_004129'
 file_loc = project.outputdir + timestampdir + sep #project.outputtimedir
 swwfile = file_loc + project.basename + '.sww'
Index: oduction/pt_hedland_2006/interpretation.tex
===================================================================
--- /production/pt_hedland_2006/interpretation.tex	(revision 2897)
+++ 	(revision )
@@ -1,2 +1,0 @@
-
-Nick to write
Index: /production/pt_hedland_2006/make_report.py
===================================================================
--- /production/pt_hedland_2006/make_report.py	(revision 2897)
+++ /production/pt_hedland_2006/make_report.py	(revision 2898)
@@ -34,5 +34,5 @@
 * an introduction must be written in introduction.tex; a basic outline and
   some of the core inputs are already in place
-* an interpretation.tex file needs to be written for the particular scenario
+* an results.tex file needs to be written for the particular scenario
 * any data issues must be included in data_issues.tex (data.tex should
   be revised for future reports)
@@ -93,5 +93,5 @@
 % * an introduction must be written in introduction.tex; a basic outline and
 %   some of the core inputs are already in place
-% * an interpretation.tex file needs to be written for the particular scenario
+% * an results.tex file needs to be written for the particular scenario
 % * any data issues must be included in data_issues.tex (data.tex should
 %   be revised for future reports)
@@ -153,5 +153,4 @@
      \label{sec:results}
      \input{results}
-     \input{interpretation}
      
 """