Index: production/onslow_2006/latexoutput20060426004237.tex
===================================================================
--- production/onslow_2006/latexoutput20060426004237.tex	(revision 2915)
+++ production/onslow_2006/latexoutput20060426004237.tex	(revision 2916)
@@ -16,5 +16,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeBD100astage20060426004237.png}} 
-\caption{Time series for stage at B_D_100a gauge location} 
+\caption{Time series for stage at B D 100a gauge location} 
  \label{fig:20060426004237stagegaugeBD100a} 
  \end{figure} 
@@ -22,5 +22,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeBD100avelocity20060426004237.png}} 
-\caption{Time series for velocity at B_D_100a gauge location} 
+\caption{Time series for velocity at B D 100a gauge location} 
  \label{fig:20060426004237velocitygaugeBD100a} 
  \end{figure} 
@@ -28,5 +28,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeBD100abearing20060426004237.png}} 
-\caption{Time series for bearing at B_D_100a gauge location} 
+\caption{Time series for bearing at B D 100a gauge location} 
  \label{fig:20060426004237bearinggaugeBD100a} 
  \end{figure} 
@@ -34,5 +34,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeBD100bstage20060426004237.png}} 
-\caption{Time series for stage at B_D_100b gauge location} 
+\caption{Time series for stage at B D 100b gauge location} 
  \label{fig:20060426004237stagegaugeBD100b} 
  \end{figure} 
@@ -40,5 +40,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeBD100bvelocity20060426004237.png}} 
-\caption{Time series for velocity at B_D_100b gauge location} 
+\caption{Time series for velocity at B D 100b gauge location} 
  \label{fig:20060426004237velocitygaugeBD100b} 
  \end{figure} 
@@ -46,5 +46,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeBD100bbearing20060426004237.png}} 
-\caption{Time series for bearing at B_D_100b gauge location} 
+\caption{Time series for bearing at B D 100b gauge location} 
  \label{fig:20060426004237bearinggaugeBD100b} 
  \end{figure} 
@@ -52,5 +52,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth100stage20060426004237.png}} 
-\caption{Time series for stage at Depth_100 gauge location} 
+\caption{Time series for stage at Depth 100 gauge location} 
  \label{fig:20060426004237stagegaugeDepth100} 
  \end{figure} 
@@ -58,5 +58,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth100velocity20060426004237.png}} 
-\caption{Time series for velocity at Depth_100 gauge location} 
+\caption{Time series for velocity at Depth 100 gauge location} 
  \label{fig:20060426004237velocitygaugeDepth100} 
  \end{figure} 
@@ -64,5 +64,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth100bearing20060426004237.png}} 
-\caption{Time series for bearing at Depth_100 gauge location} 
+\caption{Time series for bearing at Depth 100 gauge location} 
  \label{fig:20060426004237bearinggaugeDepth100} 
  \end{figure} 
@@ -70,5 +70,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth50stage20060426004237.png}} 
-\caption{Time series for stage at Depth_50 gauge location} 
+\caption{Time series for stage at Depth 50 gauge location} 
  \label{fig:20060426004237stagegaugeDepth50} 
  \end{figure} 
@@ -76,5 +76,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth50velocity20060426004237.png}} 
-\caption{Time series for velocity at Depth_50 gauge location} 
+\caption{Time series for velocity at Depth 50 gauge location} 
  \label{fig:20060426004237velocitygaugeDepth50} 
  \end{figure} 
@@ -82,5 +82,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth50bearing20060426004237.png}} 
-\caption{Time series for bearing at Depth_50 gauge location} 
+\caption{Time series for bearing at Depth 50 gauge location} 
  \label{fig:20060426004237bearinggaugeDepth50} 
  \end{figure} 
@@ -88,5 +88,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth38stage20060426004237.png}} 
-\caption{Time series for stage at Depth_38 gauge location} 
+\caption{Time series for stage at Depth 38 gauge location} 
  \label{fig:20060426004237stagegaugeDepth38} 
  \end{figure} 
@@ -94,5 +94,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth38velocity20060426004237.png}} 
-\caption{Time series for velocity at Depth_38 gauge location} 
+\caption{Time series for velocity at Depth 38 gauge location} 
  \label{fig:20060426004237velocitygaugeDepth38} 
  \end{figure} 
@@ -100,5 +100,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth38bearing20060426004237.png}} 
-\caption{Time series for bearing at Depth_38 gauge location} 
+\caption{Time series for bearing at Depth 38 gauge location} 
  \label{fig:20060426004237bearinggaugeDepth38} 
  \end{figure} 
@@ -106,5 +106,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth79stage20060426004237.png}} 
-\caption{Time series for stage at Depth_79 gauge location} 
+\caption{Time series for stage at Depth 79 gauge location} 
  \label{fig:20060426004237stagegaugeDepth79} 
  \end{figure} 
@@ -112,5 +112,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth79velocity20060426004237.png}} 
-\caption{Time series for velocity at Depth_79 gauge location} 
+\caption{Time series for velocity at Depth 79 gauge location} 
  \label{fig:20060426004237velocitygaugeDepth79} 
  \end{figure} 
@@ -118,5 +118,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth79bearing20060426004237.png}} 
-\caption{Time series for bearing at Depth_79 gauge location} 
+\caption{Time series for bearing at Depth 79 gauge location} 
  \label{fig:20060426004237bearinggaugeDepth79} 
  \end{figure} 
@@ -124,5 +124,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth49stage20060426004237.png}} 
-\caption{Time series for stage at Depth_49 gauge location} 
+\caption{Time series for stage at Depth 49 gauge location} 
  \label{fig:20060426004237stagegaugeDepth49} 
  \end{figure} 
@@ -130,5 +130,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth49velocity20060426004237.png}} 
-\caption{Time series for velocity at Depth_49 gauge location} 
+\caption{Time series for velocity at Depth 49 gauge location} 
  \label{fig:20060426004237velocitygaugeDepth49} 
  \end{figure} 
@@ -136,5 +136,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth49bearing20060426004237.png}} 
-\caption{Time series for bearing at Depth_49 gauge location} 
+\caption{Time series for bearing at Depth 49 gauge location} 
  \label{fig:20060426004237bearinggaugeDepth49} 
  \end{figure} 
@@ -142,5 +142,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth27stage20060426004237.png}} 
-\caption{Time series for stage at Depth_27 gauge location} 
+\caption{Time series for stage at Depth 27 gauge location} 
  \label{fig:20060426004237stagegaugeDepth27} 
  \end{figure} 
@@ -148,5 +148,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth27velocity20060426004237.png}} 
-\caption{Time series for velocity at Depth_27 gauge location} 
+\caption{Time series for velocity at Depth 27 gauge location} 
  \label{fig:20060426004237velocitygaugeDepth27} 
  \end{figure} 
@@ -154,5 +154,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeDepth27bearing20060426004237.png}} 
-\caption{Time series for bearing at Depth_27 gauge location} 
+\caption{Time series for bearing at Depth 27 gauge location} 
  \label{fig:20060426004237bearinggaugeDepth27} 
  \end{figure} 
@@ -160,5 +160,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeneartownstage20060426004237.png}} 
-\caption{Time series for stage at near_town gauge location} 
+\caption{Time series for stage at near town gauge location} 
  \label{fig:20060426004237stagegaugeneartown} 
  \end{figure} 
@@ -166,5 +166,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeneartownvelocity20060426004237.png}} 
-\caption{Time series for velocity at near_town gauge location} 
+\caption{Time series for velocity at near town gauge location} 
  \label{fig:20060426004237velocitygaugeneartown} 
  \end{figure} 
@@ -172,5 +172,5 @@
 \begin{figure}[hbt] 
  \centerline{\includegraphics[width=100mm, height=75mm]{report_figures/gaugeneartownbearing20060426004237.png}} 
-\caption{Time series for bearing at near_town gauge location} 
+\caption{Time series for bearing at near town gauge location} 
  \label{fig:20060426004237bearinggaugeneartown} 
  \end{figure} 