Index: /production/onslow_2006/plot_data_extent.py
===================================================================
--- /production/onslow_2006/plot_data_extent.py	(revision 2919)
+++ /production/onslow_2006/plot_data_extent.py	(revision 2920)
@@ -6,5 +6,5 @@
 from utilities.polygon import inside_polygon
 import project
-from pyvolution.util import plot_polygons
+from utilities.polygon import plot_polygons, poly_xy
 
 datadir = project.datadir
@@ -12,5 +12,5 @@
 
 plot_data = True
-plot_with_poly = False
+plot_with_poly = True
 
 if plot_data == True:
@@ -26,12 +26,14 @@
     if plot_with_poly == True:
         figname = 'onslow_data_poly'
+        x1, y1 = poly_xy(project.polyAll)
+        x2, y2 = poly_xy(project.poly_onslow)
+        x3, y3 = poly_xy(project.poly_coast)
+        x4, y4 = poly_xy(project.poly_region)
         figure(1)
         plot(pts1[:,0],pts1[:,1],'g.',
-             pts2[:,0],pts2[:,1],'b.')
-        vec = plot_polygons(project.polyAll,
-                            [project.poly_onslow, project.poly_coast, project.poly_region],
-                            figname,
-                            verbose = True)
-        axis([])
+             pts2[:,0],pts2[:,1],'b.',
+             x1,y1,'r-',x2,y2,'r-',x3,y3,'r-',x4,y4,'r-')
+        xlabel('Eastings')
+        ylabel('Northings')
         savefig(figname)
     else:
@@ -39,6 +41,6 @@
         plot(pts1[:,0],pts1[:,1],'g.',
              pts2[:,0],pts2[:,1],'b.')
-        xlabel('x')
-        ylabel('y')
+        xlabel('Eastings')
+        ylabel('Northings')
         savefig('onslow_data_extent')
 else:
@@ -46,6 +48,6 @@
     figure(3)
     figname = 'onslow_polys'
-    vec = plot_polygons(project.polyAll,
-                        [project.poly_onslow, project.poly_coast, project.poly_region],
+    vec = plot_polygons([project.polyAll,
+                        project.poly_onslow, project.poly_coast, project.poly_region],
                         figname,
                         verbose = True)
Index: /production/onslow_2006/results.tex
===================================================================
--- /production/onslow_2006/results.tex	(revision 2919)
+++ /production/onslow_2006/results.tex	(revision 2920)
@@ -3,13 +3,15 @@
 computational time and desired resolution in areas of interest,
 particularly in the interface between the on and offshore. The
-following figures illustrate the study extent for the 
-scenario and the resulting computational mesh, highlighting areas
-of refinement around areas of particular interest.
+following figure illustrates the data extent for the 
+scenario and where further mesh refinement has been made. The choice
+of the refinement is based around the important inter-tidal zones and
+other important features such as islands and rivers.
+The resultant computational mesh is then seen in \ref{fig.mesh_onslow}.
 
 \begin{figure}[hbt]
 
-  %\centerline{ \includegraphics[width=75mm, height=75mm]{.png}}
+  \centerline{ \includegraphics[width=75mm, height=75mm]{onslow_data_poly.png}}
 
-  \caption{Study area for Onslow scenario}
+  \caption{Study area for Onslow scenario highlighting areas of increased refinement.}
   \label{fig:onslow_area}
 \end{figure}
Index: /production/pt_hedland_2006/data.tex
===================================================================
--- /production/pt_hedland_2006/data.tex	(revision 2919)
+++ /production/pt_hedland_2006/data.tex	(revision 2920)
@@ -56,5 +56,5 @@
 
   \caption{Data extent for Pt Hedland scenario. Offshore data shown in blue and onshore data
-in green. The bounding polygon used for the simulation is shown in red.}
+in green.}
   \label{fig:pt_hedland_data_area}
 \end{figure}
Index: /production/pt_hedland_2006/results.tex
===================================================================
--- /production/pt_hedland_2006/results.tex	(revision 2919)
+++ /production/pt_hedland_2006/results.tex	(revision 2920)
@@ -2,13 +2,15 @@
 cover the available data. The resolution is chosen to balance
 computational time and desired resolution in areas of interest,
-particularly in the interface between the on and offshore. The
-following series of figures illustrate the study extent for the
-scenario and the resulting computational mesh, highlighting areas
-of refinement around areas of particular interest.
+particularly in the interface between the on and offshore. he
+following figure illustrates the data extent for the 
+scenario and where further mesh refinement has been made. The choice
+of the refinement is based around the important inter-tidal zones and
+other important features such as islands and rivers.
+The resultant computational mesh is then seen in \ref{fig.mesh_onslow}.
 
 
 \begin{figure}[hbt]
 
-  %\centerline{ \includegraphics[width=75mm, height=75mm]{figures/.eps}}
+  \centerline{ \includegraphics[width=75mm, height=75mm]{pt_hedland_data_poly.png}}
 
   \caption{Study area for Pt Hedland scenario}
@@ -19,5 +21,5 @@
 \begin{figure}[hbt]
 
-  %\centerline{ \includegraphics[width=75mm, height=75mm]{figures/.eps}}
+  %\centerline{ \includegraphics[width=75mm, height=75mm]{}}
 
   \caption{Computational mesh for Pt Hedland study area}